# Poco::Zip

# class Add

Library: Zip
Package: Manipulation
Header: Poco/Zip/Add.h

## Description

Operation Add adds a new file entry to an existing Zip File

## Inheritance

Direct Base Classes: ZipOperation

All Base Classes: Poco::RefCountedObject, ZipOperation

## Member Summary

Member Functions: execute

Inherited Functions: duplicate, execute, referenceCount, release

## Constructors

### Add

Add(
const std::string & zipPath,
const std::string & localPath,
ZipCommon::CompressionMethod cm,
ZipCommon::CompressionLevel cl
);

Creates the Add.

## Member Functions

### execute

void execute(
Compress & c,
std::istream & input
);

Performs the add operation

See also: Poco::Zip::ZipOperation::execute()